Subject: Blx feedback - concierge
From: Subir Chakma <[email-masked]>
To: Sanjay Dutt <[email-masked]>
Cc: Deeksha Dadu <[email-masked]>, "Akhil P. Walia" <[email-masked]>
Date: Tue, 29 Apr 2014 12:00:40 +0530 (IST)

Sanjay - Pls see below orders and my remarks. Pls action accordingly. 

Order number 75889 - Placed/capture date 14-04-2014, No update to date. I sent an email to merchant, but you shud call them pls. We can not wait for ever. 

Order number 75593- Placed/capture date 10-04-2014, no update to date. I sent an email to merchant, but you shud call them pls. I understand it is backordered, but we need definite timeline. 

Order number 74901 - Placed/capture date 03-04-2014, Initial ETA ws 04/24/2014 but no update to date. I sent email, but pls call them for update. We need definite timeline. 

Order number 76269- Placed/capture date 22-04-2014, this guys take lot of time to ship the items. I sent an email, but pls try to call them for ETA so we can advise Cx accordingly. 

Order number 76373 - Placed/capture date 22-04-2014, I have sent reminder but we need to know status of order. Pls call them Toll free: 1-866-537-7083, http://baby.premiumstore.com/Website/FAQ.aspx?Category_Id=0&faq=1##12 

Regards 
Subir